<?php
// namespace administrator\components\com_jfbchat\controllers;
/**
 *
 * @package FBCHAT::CONFIG::administrator::components::com_jfbchat
 * @subpackage controllers
 * @author 2Punti - Marco Biagioni
 * @copyright (C) 2012 - 2PUNTI SRL
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined ( '_JEXEC' ) or die ( 'Restricted access' );
jimport ( 'joomla.application.component.controller' );

/**
 * Config controller responsibilities
 *
 * @package FBCHAT::CONFIG::administrator::components::com_jfbchat
 * @subpackage controllers
 * @since 1.0
 */
interface IConfigController {

	/**
	 * Save config entity
	 * @access public
	 * @return void
	 */
	public function saveEntity();
}


/**
 * Config controller concrete implementation
 *
 * @package FBCHAT::CPANEL::administrator::components::com_jfbchat
 * @subpackage controllers
 * @since 1.0
 */
class JfbchatControllerConfig extends jfbcController implements IConfigController {

	/**
	 * Show configuration
	 * @access public
	 * @return void
	 */
	public function display() {   
		parent::display();
	}

	/**
	 * Save config entity
	 * @access public
	 * @return void
	 */
	public function saveEntity() { 
		$model = $this->getModel();
		$result = $model->storeEntity();
		$msg = null;  
		$msg = $result ? JText::_('SAVED_PARAMS') : JText::_ ( 'SAVE_PARAMS_ERROR' );
		$this->setRedirect( 'index.php?option=com_jfbchat&task=config.display', $msg);
	}
}
?>