<?php
// namespace administrator\components\com_jfbchat;
/**
 * Entrypoint dell'application di backend
 *
 * @package FBCHAT::administrator::components::com_jfbchat
 * @author 2Punti - Marco Biagioni
 * @copyright (C) 2012 - 2PUNTI SRL
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined ( '_JEXEC' ) or die ( 'Restricted access' );
/*
 * Tutta la logica  basata su controller.task core MVC execute
 * Si effettua l'override sul funzionamento errato Joomla nativa 
 * view base anzich task based
 */
$controller_name = null;
$controller_task = null;
$controller_command = JRequest::getCmd ( 'task', 'cpanel.display' );
if($controller_command) {
	list ( $controller_name, $controller_task ) = explode ( '.', $controller_command ); 
}

// Defaults
if (! $controller_name) {
	$controller_name = 'cpanel';
}
if (! $controller_task) {
	$controller_task = 'display';
}

$basepath = JPATH_COMPONENT . DIRECTORY_SEPARATOR . 'controllers' . DIRECTORY_SEPARATOR . 'jfbcontroller.php';
require_once $basepath;
$path = JPATH_COMPONENT . DIRECTORY_SEPARATOR . 'controllers' . DIRECTORY_SEPARATOR . strtolower($controller_name) . '.php';
if (file_exists ( $path )) {
	require_once $path;
} else {
	JError::raiseWarning ( 500, JText::_('ERROR_NO_CONTROLLER_FILE') );
}

// Create the controller
$classname = 'JfbchatController' . ucfirst ( $controller_name );
if (class_exists ( $classname )) {
	$controller = new $classname ();
	// Perform the Request task
	$controller->execute ( $controller_task );
	
	// Redirect if set by the controller
	$controller->redirect ();
} else {
	JError::raiseWarning ( 500, JText::_('ERROR_NO_CONTROLLER') );
} 