<?php
//namespace administrator\components\com_jfbchat\models;
/**
 * @package FBChat::administrator::components::com_jfbchat 
 * @subpackage models 
 * @author 2Punti - Marco Biagioni
 * @version $Id: parametri.php 12 03/01/2012 10:55:02Z marco $     
 * @copyright (C) 2012 - 2PUNTI SRL
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html   
 */
defined ( '_JEXEC' ) or die ();
  
/**
 * Model provider del form di configurazione
 * @package FBChat::administrator::components::com_jfbchat 
 * @subpackage models 
 */
class FBChatModelParametri extends JModelForm {
	/**
	 * Method to get a form object.
	 *
	 * @param	array	$data		Data for the form.
	 * @param	boolean	$loadData	True if the form is to load its own data (default case), false if not.
	 *
	 * @return	mixed	A JForm object on success, false on failure
	 * @since	1.6
	 */
	public function getForm($data = array(), $loadData = true) {
		jimport ( 'joomla.form.form' );
		JForm::addFormPath ( JPATH_ADMINISTRATOR . '/components/com_jfbchat' );
		
		// Get the form.
		$form = $this->loadForm ( 'com_jfbchat.component', 'config', array ('control' => 'jform', 'load_data' => $loadData ), false, '/config' );
		
		if (empty ( $form )) {
			return false;
		}
		
		return $form;
	}
}