<?php
// namespace administrator\components\com_jfbchat\tables;
/**
 *
 * @package FBCHAT::SUGGESTIONS::administrator::components::com_jfbchat
 * @subpackage tables
 * @author 2Punti - Marco Biagioni
 * @copyright (C) 2012 - 2PUNTI SRL
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined ( '_JEXEC' ) or die ( 'Restricted access' );
jimport ( 'joomla.application.component.model' );

/**
 * Messages table
 *
 * @package FBCHAT::SUGGESTIONS::administrator::components::com_jfbchat
 * @subpackage tables
 * @since 1.0
 */
class TableSuggestions extends JTable {
	/**
	 *
	 * @var int Primary key
	 */
	var $id = null;
	/**
	 *
	 * @var string
	 */
	var $suggestion = null;
	/**
	 *
	 * @var string
	 */
	var $autoinvite = null;
	/**
	 *
	 * @var int
	 */
	var $checked_out = null;
	/**
	 *
	 * @var datetime
	 */
	var $checked_out_time = null;
	/**
	 *
	 * @var int
	 */
	var $published = null;
	
	/**
	 *
	 * @param
	 *        	database A database connector object
	 */
	function __construct(&$db) {
		parent::__construct ( '#__fbchat_suggestions', 'id', $db );
	}
}