<?php 
/** 
 * @package FBCHAT::AGENTS::administrator::components::com_jfbchat
 * @subpackage views
 * @subpackage agents
 * @subpackage tmpl
 * @author 2Punti - Marco Biagioni
 * @copyright (C) 2012 - 2PUNTI SRL
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined ( '_JEXEC' ) or die ( 'Restricted access' ); 
JHTML::_('behavior.tooltip');  ?>
  
<form action="index.php" method="post" name="adminForm" id="adminForm">
	<table>
		<tr>
			<td width="100%">
				<?php echo JText::_( 'Filter' ); ?>:
				<input type="text" name="search" id="search" value="<?php echo $this->searchword;?>" class="text_area" onchange="document.adminForm.submit();" />
				<button onclick="this.form.submit();"><?php echo JText::_( 'Go' ); ?></button>
				<button onclick="document.getElementById('search').value='';this.form.getElementById('filter_type').value='0';this.form.submit();"><?php echo JText::_( 'Reset' ); ?></button>
			</td>
			<td nowrap="nowrap">
				<?php echo $this->lists['type'];?> 
			</td>
		</tr>
	</table>

	<table class="adminlist table table-striped" cellpadding="1">
		<thead>
			<tr>
				<th width="2%" class="title">
					<?php echo JText::_( 'NUM' ); ?>
				</th>
				<th width="3%" class="title">
					<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($this->items); ?>);" />
				</th>
				<th class="title">
					<?php echo JHTML::_('grid.sort', 'Name', 'a.name', @$this->orders['order_Dir'], @$this->orders['order'], 'agents.display' ); ?>
				</th>
				<th width="15%" class="title" >
					<?php echo JHTML::_('grid.sort', 'Username', 'a.username', @$this->orders['order_Dir'], @$this->orders['order'], 'agents.display' ); ?>
				</th>  
				<th width="5%" class="title" nowrap="nowrap">
					<?php echo JHTML::_('grid.sort', 'Agent', 'agent', @$this->orders['order_Dir'], @$this->orders['order'], 'agents.display' ); ?>
				</th>
				<th width="15%" class="title">
					<?php echo JHTML::_('grid.sort', 'Group', 'a.usertype', @$this->orders['order_Dir'], @$this->orders['order'], 'agents.display' ); ?>
				</th>
				<th width="15%" class="title">
					<?php echo JHTML::_('grid.sort', 'E-Mail', 'a.email', @$this->orders['order_Dir'], @$this->orders['order'], 'agents.display' ); ?>
				</th>
				<th width="10%" class="title">
					<?php echo JHTML::_('grid.sort', 'Last Visit', 'a.lastvisitDate', @$this->orders['order_Dir'], @$this->orders['order'], 'agents.display' ); ?>
				</th>
				<th width="1%" class="title" nowrap="nowrap">
					<?php echo JHTML::_('grid.sort', 'ID', 'a.id', @$this->orders['order_Dir'], @$this->orders['order'], 'agents.display' ); ?>
				</th>
				<th width="5%" class="title" nowrap="nowrap">
					<?php echo JHTML::_('grid.sort', 'Enabled', 'a.block', @$this->orders['order_Dir'], @$this->orders['order'], 'agents.display' ); ?>
				</th>
			</tr>
		</thead>
		<tfoot>
			<tr>
				<td colspan="10">
					<?php echo $this->pagination->getListFooter(); ?>
				</td>
			</tr>
		</tfoot>
		<tbody>
		<?php
			$k = 0;
			for ($i=0, $n=count( $this->items ); $i < $n; $i++)
			{
				$row 	=& $this->items[$i];
 
				$imgAgent 	= !$row->agent ? 'icon-16-nodefault.png' : 'icon-16-default.png';
				$taskAgent 	= !$row->agent ? 'agents.makeagent' : 'agents.destroyagent';
				$altAgent 	= !$row->agent ? JText::_( 'Enabled' ) : JText::_( 'Blocked' ); 
				
				// Com users standard solo view
				$img 	= $row->block ? 'icon-16-publish_x.png.png' : 'icon-16-tick.png';
				$task 	= $row->block ? 'unblock' : 'block';
				$alt 	= $row->block ? JText::_( 'Enabled' ) : JText::_( 'Blocked' );

				if ($row->lastvisitDate == "0000-00-00 00:00:00") {
					$lvisit = JText::_( 'Never' );
				} else {
					$lvisit	= JHTML::_('date', $row->lastvisitDate, 'Y-m-d H:i:s');
				}
			?>
			<tr class="<?php echo "row$k"; ?>">
				<td>
					<?php echo $i+1+$this->pagination->limitstart;?>
				</td>
				<td>
					<?php echo JHTML::_('grid.id', $i, $row->id ); ?>
				</td>
				<td> 
					<?php echo $row->name; ?> 
				</td>
				<td>
					<?php echo $row->username; ?>
				</td>  
				<td align="center">
					<a href="javascript:void(0);" onclick="return listItemTask('cb<?php echo $i;?>','<?php echo $taskAgent;?>')">
						<img src="components/com_jfbchat/images/<?php echo $imgAgent;?>" width="16" height="16" border="0" alt="<?php echo $altAgent; ?>" />
					</a>
				</td>
				<td>
					<?php echo JText::_( $row->groupname ); ?>
				</td>
				<td>
					<a href="mailto:<?php echo $row->email; ?>">
						<?php echo $row->email; ?></a>
				</td>
				<td nowrap="nowrap">
					<?php echo $lvisit; ?>
				</td>
				<td>
					<?php echo $row->id; ?>
				</td>
				<td align="center"> 
					<img src="components/com_jfbchat/images/<?php echo $img;?>" width="16" height="16" border="0" alt="<?php echo $alt; ?>" /> 
				</td>
			</tr>
			<?php
				$k = 1 - $k;
				}
			?>
		</tbody>
	</table>

	<input type="hidden" name="option" value="<?php echo $this->option;?>" />
	<input type="hidden" name="task" value="agents.display" /> 
	<input type="hidden" name="boxchecked" value="0" /> 
	<input type="hidden" name="filter_order" value="<?php echo $this->orders['order']; ?>" />
	<input type="hidden" name="filter_order_Dir" value="<?php echo $this->orders['order_Dir']; ?>" /> 
</form>