<?php
// namespace administrator\components\com_jfbchat\views\agents;
/**
 *
 * @package FBCHAT::AGENTS::administrator::components::com_jfbchat
 * @subpackage views
 * @subpackage agents
 * @author 2Punti - Marco Biagioni
 * @copyright (C) 2012 - 2PUNTI SRL
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined ( '_JEXEC' ) or die ( 'Restricted access' ); 
jimport('joomla.html.pagination');

/**
 * Config view
 *
 * @package FBCHAT::AGENTS::administrator::components::com_jfbchat
 * @subpackage views
 * @subpackage agents
 * @since 1.0
 */
class JfbchatViewAgents extends JViewLegacy { 
	/**
	 * Add the page title and toolbar.
	 *
	 * @since	1.6
	 */
	protected function addDisplayToolbar() {
		JToolBarHelper::title( JText::_( 'CPANEL' ), 'jfbchat' );
		JToolBarHelper::custom('cpanel.display', 'config', 'config', 'CPANEL', false);
	}
	
	/**
	 * Default listEntities
	 * @access public
	 */
	public function display() {
		// Get main records
		$rows = $this->get('Data');
		$lists = $this->get('Lists');
		$total = $this->get('Total');
		
		$orders = array();
		$orders['order'] = $this->getModel()->getState('order');
		$orders['order_Dir'] = $this->getModel()->getState('order_dir');
		// Pagination view object model state populated
		$pagination = new JPagination( $total, $this->getModel()->getState('limitstart'), $this->getModel()->getState('limit') );
		 
		$this->assignRef('pagination',	$pagination);
		$this->assignRef('order', $this->getModel()->getState('order'));
		$this->assignRef('searchword', $this->getModel()->getState('searchword'));
		$this->assignRef('lists', $lists);
		$this->assignRef('orders', $orders);
		$this->assignRef('items', $rows);
		$this->assignRef('option', $this->getModel()->getState('option'));
	 
		// Aggiunta toolbar
		$this->addDisplayToolbar();
		
		// Output del template
		parent::display();
	}
}
?>