<?php 
/** 
 * @package FBCHAT::CPANEL::administrator::components::com_jfbchat
 * @subpackage views
 * @subpackage cpanel
 * @subpackage tmpl
 * @author 2Punti - Marco Biagioni
 * @copyright (C) 2012 - 2PUNTI SRL
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined ( '_JEXEC' ) or die ( 'Restricted access' ); 
?>
<div id="cpanel">
	<?php echo $this->icons; ?>
</div>
<div id="help"> 
	<div class="slidercontents license">
		<div id="license">
			<div class="texttitle codeinfo_expire <?php echo $this->licensedata['expired'] ? 'expired' : '';?>">
				<?php echo JText::_('INFO_EXPIRE_DATE');?>
			</div> 
		 	<div class="codeinfo <?php echo $this->licensedata['expired'] ? 'expired' : '';?>">
		 		<div id="box"></div><div><?php echo JText::_('EXPIRE_DATE') . date('Y-m-d', $this->licensedata['expire_date']);?></div>
		 		<?php if($this->licensedata['expire_date'] > time()):?>
		 			<div id="box"></div><div><?php echo JText::_('REMAINING_DAYS') . round(($this->licensedata['expire_date'] - time()) / 60 / 60 / 24);?></div>
		 		<?php endif; ?>
			 	<!-- REINSERIMENTO -->
			 	<?php if($this->licensedata['expired']):?>
					<div id="activate_expire_license">
						<label><?php echo JText::_('COMPONENT_EXPIRED');?></label> 
					</div>
				<?php endif;?>
			</div>
			<div class="seperator"></div>
			<!-- COMPONENT STATUS INDICATOR -->
			<div id="componentstatus">
				<div class="texttitle"><?php echo JText::_('COMPONENT_ACTIVATION_STATUS');?></div>
				<?php if(!$this->componentParams->get('domaincode') || $this->licensedata['expired']):?>
					<div class="status"><img class="statusimg" src="<?php echo $this->imgpath;?>icon-16-deny.png" alt="not_installed"><?php echo JText::_('COMPONENT_DEACTIVATED');?></div> 
				<?php else:?>
					<div class="status"><img class="statusimg" src="<?php echo $this->imgpath;?>icon-16-allow.png" alt="not_installed"><?php echo JText::_('COMPONENT_ACTIVATED');?></div> 
				<?php endif;?>
			</div>
		</div>
		<div class="seperator"></div> 
	</div>   
	
	<div class="slidercontents info">
		<div class="texttitle"><?php echo JText::_('COMPONENT_INFO');?></div>
		<div class="component_info"><?php echo JText::_('VERSIONE');?></div>
		<div class="component_info"><?php echo JText::_('PRODUTTORE');?></div>
		<div class="component_info"><?php echo JText::_('SUPPORT');?></div>
		<div class="component_info"><?php echo JText::_('DEMO');?></div>
		<div class="component_info last"><?php echo JText::_('JOOMLAEXTENSIONS');?></div>
		<a href="http://www.igonos.ch" target="_blank"><img src="components/com_jfbchat/images/logo.jpg" alt="logo"/></a>
	</div>    
</div>

<form id="adminForm" name="adminForm" action="index.php">
	<input type="hidden" name="option" value="<?php echo JRequest::getCmd('option');?>"/>
	<input type="hidden" name="task" value=""/>
</form>