<?php 
/**
 * @package FBCHAT::CPANEL::administrator::components::com_jfbchat
 * @subpackage views
 * @subpackage license
 * @subpackage tmpl
 * @author 2Punti - Marco Biagioni
 * @copyright (C) 2012 - 2PUNTI SRL
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined ( '_JEXEC' ) or die ( 'Restricted access' );
?>
<form id="adminForm" name="adminForm" method="post" action="index.php">
	<!-- COMPONENT STATUS INDICATOR -->
	<div id="component_status">
		<label><?php echo JText::_('COMPONENT_ACTIVATION_STATUS');?></label>
		<?php if(!$this->componentParams->get('domaincode') || $this->licensedata['expired']):?>
			<img src="components/com_jfbchat/images/icon-16-publish_x.png" alt="not_installed"> 
		<?php else:?>
			<img src="components/com_jfbchat/images/icon-16-tick.png" alt="not_installed"> 
		<?php endif;?>
	</div>
	
	<!-- COMPONENT EXPIRATION STATUS CODE -->
	<div id="placeholder_expirecode">
		<div class="texttitle codeinfo_expire <?php echo $this->licensedata['expired'] ? 'expired' : '';?>">
			<?php echo JText::_('INFO_EXPIRE_DATE');?>
		</div> 
	 	<div class="codeinfo <?php echo $this->licensedata['expired'] ? 'expired' : '';?>">
	 		<div id="box"></div><div><?php echo JText::_('EXPIRE_DATE') . date('Y-m-d', $this->licensedata['expire_date']);?></div>
	 		<?php if($this->licensedata['expire_date'] > time()):?>
	 			<div id="box"></div><div><?php echo JText::_('REMAINING_DAYS') . round(($this->licensedata['expire_date'] - time()) / 60 / 60 / 24);?></div>
	 		<?php endif; ?>
		 	<!-- REINSERIMENTO -->
		 	<?php if($this->licensedata['expired']):?>
				<div id="activate_expire_license">
					<label><?php echo JText::_('INSERT_EXPIRECODE');?></label>
					<input type="text" name="expirationcode" value="" />
					<input type="submit" name="codesubmitexp" value="<?php echo JText::_('SUBMIT');?>"/>
				</div>
			<?php endif;?>
		</div>
	</div> 
	 
	<!-- COMPONENT DOMAIN ACTIVATION CODE --> 
	<div id="placeholder_domaincode">
		<div class="texttitle codeinfo_domain">
			<?php echo JText::_('INFO_DOMAIN_CODE');?>
		</div> 
		<?php if(!$this->licensedata['domaincode']->success): ?>
			<div class="codeinfo error"><?php echo JText::_(strtoupper($this->licensedata['domaincode']->reason));?></div>
		<?php elseif ($this->licensedata['domaincode']->success): ?>
		 	<div class="codeinfo">
		 		<div id="box"></div><div><?php echo JText::_('DOMAIN_CODE') . $this->licensedata['domaincode']->value;?></div> 
		 		<div id="box"></div><div><?php echo JText::_('MAXDOMAIN') . $this->licensedata['domaincode']->maxdomain;?></div> 
		 		<div id="box"></div><div><?php echo JText::_('ACTDOMAIN') . ( $this->licensedata['domaincode']->actdomain ? $this->licensedata['domaincode']->actdomain : 0);?></div>
		 		<div class="notify"><?php echo $this->licensedata['domaincode']->maxdomainreached ? JText::_('MAXDOMAINREACHED') : ''; ?></div>
		 	</div>
		<?php endif; ?> 
		<!-- REINSERIMENTO -->
		<?php if(!$this->componentParams->get('domaincode')):?>
			<div id="activate_domain_license">
				<label><?php echo JText::_('INSERT_DOMAINCODE');?></label>
				<input type="text" name="domaincodeinput" value="<?php echo $this->componentParams->get('domaincode');?>" />
				<input type="submit" name="codesubmitdc" value="<?php echo JText::_('SUBMIT');?>"/>
			</div>
		<?php endif;?>
	</div>
	<input type="hidden" name="option" value="<?php echo JRequest::getCmd('option');?>"/>
	<input type="hidden" name="task" value="license.updatelicense"/>
</form>

