<?php 
/** 
 * @package FBCHAT::MESSAGES::administrator::components::com_jfbchat
 * @subpackage views
 * @subpackage messages
 * @subpackage tmpl
 * @author 2Punti - Marco Biagioni
 * @copyright (C) 2012 - 2PUNTI SRL
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined ( '_JEXEC' ) or die ( 'Restricted access' ); 
JHTML::_('behavior.tooltip'); ?>
 
<form action="index.php" method="post" name="adminForm" id="adminForm"> 
	 <div class="col100">
		<fieldset class="adminform">
			<legend><?php echo JText::_( 'Details' ); ?></legend> 
			<table class="admintable">
			<tbody>
				<tr>
					<td width="20%" class="left_title"> 
						<?php echo JText::_( 'ID' ); ?>: 
					</td>
					<td width="80%" class="right_details">
						<?php echo $this->record->id;?> 
					</td>
				</tr>
				<tr>
					<td width="20%" class="left_title"> 
						<?php echo JText::_( 'SUGGESTION_TEXT' ); ?>: 
					</td>
					<td width="80%" class="right_details">
				 		<textarea name="suggestion" cols="40" rows="8"><?php echo $this->record->suggestion;?></textarea> 
					</td>
				</tr>
				<tr>
					<td class="left_title">
						<?php echo JText::_( 'PUBLISHED' ); ?>:
					</td>
					<td width="80%" class="right_details">
						<?php 
							$imgRead 	= $this->record->published ? 'icon-16-tick.png' : 'icon-16-publish_x.png';
							$altRead 	= $this->record->published ? JText::_( 'PUBLISHED' ) : JText::_( 'UNPUBLISHED' ); 
						?>  
						<?php echo JHTML::_('select.booleanlist', 'published', null, $this->record->published);?>
						<img class="jfbc_indicator" src="components/com_jfbchat/images/<?php echo $imgRead;?>" width="16" height="16" border="0" title="<?php echo $altRead; ?>" alt="<?php echo $altRead; ?>" /> 
					
					</td>
				</tr> 
			</tbody>
			</table>
		</fieldset>
	</div>
	<div class="clr"></div>
 
	<input type="hidden" name="option" value="<?php echo $this->option;?>" /> 
	<input type="hidden" name="id" value="<?php echo $this->record->id;?>" /> 
	<input type="hidden" name="task" value="" /> 
</form>