<?php 
//namespace administrator\components\com_jfbchat\libraries\jpgraph\generators;
/**
 * @author 2Punti - Marco Biagioni 
 * @package FBCHAT::SERVERSTATS::administrator::components::com_jfbchat
 * @subpackage libraries 
 * @subpackage jpgraph
 * @subpackage generators
 * @copyright (C) 2012 - 2PUNTI SRL 
 */
defined ( '_JEXEC' ) or die ();

/**
 * Definisce le responsabilit delle classi generator dei form
 * @package FBCHAT::SERVERSTATS::administrator::components::com_jfbchat
 * @subpackage libraries 
 * @subpackage jpgraph
 * @subpackage generators
 * @since	1.2
 */
interface IGraphGenerator {
	/**
	 * Ottenute le informazioni necessarie da avvio alla reale generazione dell'immagine del grafico in cache folder
	 * @access public 
	 * @param Object& $graphDataModel 
	 * @return Void
	 */
	public function buildBars(&$graphDataModel);
	
	/**
	 * Ottenute le informazioni necessarie da avvio alla reale generazione dell'immagine del grafico in cache folder
	 * @access public
	 * @param Object& $graphData
	 * @param array $geoTranslations
	 * @param array $sizes
	 * @param boolean $title
	 * @param array $legendPos
	 * @return Void
	 */
	public function buildPies(&$graphData, $geoTranslations, $sizes = array(), $title = true, $legendPos = array());
}
?>