<?php
//namespace administrator\components\com_anagrafica\classes\renderer; 
/**
 * @author 2Punti - Marco Biagioni
 * @version $Id: abstract_renderer.php 2 06/05/2011 22:31:20Z marco $
 * @package RIMS::ANAGRAFICA::LAVORATORI::administrator::components::com_anagrafica 
 * @subpackage classes 
 * @subpackage renderer
 * @copyright (C) 2012 - 2PUNTI SRL
 * @license Prenatal-GS committing  
 */
defined ( '_JEXEC' ) or die ();

/**
 * Definisce le responsabilit  della classe CSV che esplica funzionalit di importazione dati CSV 
 * @package RIMS::ANAGRAFICA::LAVORATORI::administrator::components::com_anagrafica 
 * @subpackage classes 
 * @subpackage renderer
 * @abstract
 * @since	1.0.1
 */
interface IRenderer {
	/**
	 * Istanzia TCPDF eseguendo le inizializzazioni ed esegue la conversione inviando in attachment il PDF 
	 * @access public
	 * @param string $html
	 * @param string $mode
	 * @param string $data
	 * @return Void
	 */
	public function renderContent($html, $mode = 'D');
}
?>