<?php 
//namespace administrator\components\com_jfbchat\models\fields;
/** 
 * @package FBChat::administrator::components::com_jfbchat::models 
 * @subpackage fields 
 * @author 2Punti - Marco Biagioni
 * @version $Id: fbchatlanguageselector.php 6 02/01/2011 09:01:20Z marco $     
 * @copyright (C) 2012 - 2PUNTI SRL
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html   
 */
defined ( '_JEXEC' ) or die ( 'Restricted access' );

/**
 * Language control selector 
 * @package FBChat::administrator::components::com_jfbchat::models 
 * @subpackage fields  
 */
require_once JPATH_SITE . '/libraries/joomla/form/fields/list.php';
 
class JFormFieldLanguageSelector extends JFormFieldList {
 
	//Inutile
	var $_name = 'languageselector';
	
	function getOptions() {
		  
		$options = array ();
		 
		$path = JPATH_COMPONENT_SITE . '/languages';
		$iterator = new DirectoryIterator ( $path );
		foreach ( $iterator as $fileEntity ) {
			if (! $fileEntity->isDot () && ! $fileEntity->isDir () && $fileEntity->getFilename() !== 'index.html') {
			$options[] = JHTML::_('select.option', $fileEntity->getFilename(),$fileEntity->getFilename()); 
			}
		}
		$options = array_merge(parent::getOptions() , $options);
		return $options;
		}

}
