<?php
// namespace administrator\components\com_jfbchat\tables;
/**
 *
 * @package FBCHAT::MESSAGES::administrator::components::com_jfbchat
 * @subpackage tables
 * @author 2Punti - Marco Biagioni
 * @copyright (C) 2012 - 2PUNTI SRL
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined ( '_JEXEC' ) or die ( 'Restricted access' );
jimport ( 'joomla.application.component.model' );

/**
 * Messages table
 *
 * @package FBCHAT::MESSAGES::administrator::components::com_jfbchat
 * @subpackage tables
 * @since 1.0
 */
class TableMessages extends JTable {
	/**
	 * @var int Primary key
	 */
	var $id = null;
	/**
	 * @var string
	 */
	var $session_id_from = null;
	/**
	 * @var string
	 */
	var $session_id_to = null;
	/**
	 * @var string
	 */
	var $message = null;
	/**
	 * @var string
	 */
	var $sent = null;
	/**
	 * @var int
	 */
	var $read = null;
	/**
	 * @var string
	 */
	var $type = null;
	/**
	 * @var int
	 */
	var $status = null;
	/**
	 * @var string
	 */
	var $sender_name = null;
	/**
	 * @var string
	 */
	var $receiver_name = null;
	
	/**
	 *
	 * @param
	 *        	database A database connector object
	 */
	function __construct(&$db) {
		parent::__construct ( '#__fbchat', 'id', $db );
	}
}