<?php 
/** 
 * @package FBCHAT::MESSAGES::administrator::components::com_jfbchat
 * @subpackage views
 * @subpackage messages
 * @subpackage tmpl
 * @author 2Punti - Marco Biagioni
 * @copyright (C) 2012 - 2PUNTI SRL
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined ( '_JEXEC' ) or die ( 'Restricted access' ); 
JHTML::_('behavior.tooltip'); ?>
 
<form action="index.php" method="post" name="adminForm" id="adminForm"> 
	<div class="col100">
		<fieldset class="adminform">
			<legend><?php echo JText::_( 'Details' ); ?></legend> 
			<table class="admintable">
			<tbody>
				<tr>
					<td width="20%" class="left_title"> 
						<?php echo JText::_( 'ID' ); ?>: 
					</td>
					<td width="80%" class="right_details">
						<?php echo $this->record->id;?> 
					</td>
				</tr>
				<tr>
					<td width="20%" class="left_title"> 
						<?php echo JText::_( 'LAMESSAGE_NAME' ); ?>: 
					</td>
					<td width="80%" class="right_details">
				 		<?php echo $this->record->name;?> 
					</td>
				</tr>
				<tr>
					<td class="left_title"> 
						<?php echo JText::_( 'LAMESSAGE_EMAIL' ); ?>:  
					</td>
					<td class="right_details">
						<?php echo $this->record->email;?>  
					</td>
				</tr>
				<tr>
					<td class="left_title">
						<?php echo JText::_( 'MESSAGE' ); ?>:
					</td>
					<td class="right_details">
						<?php echo $this->record->message;?>  
					</td>
				</tr>
				<tr>
					<td class="left_title">
						<?php echo JText::_( 'SENT' ); ?>:
					</td>
					<td class="right_details">
						<?php echo $this->record->sentdate ;?>  
					</td>
				</tr>
				<tr>
					<td class="left_title">
						<?php echo JText::_( 'LAMESSAGE_USERID' ); ?>:
					</td>
					<td class="right_details">
						<?php echo isset($this->record->_username_logged) ? $this->record->_username_logged : JText::_('ANONYMOUS');?>  
					</td>
				</tr>
				<tr>
					<td class="left_title">
						<?php echo JText::_( 'WORKED' ); ?>:
					</td>
					<td class="right_details">
						<?php 
							$imgRead 	= $this->record->worked ? 'icon-16-tick.png' : 'icon-16-publish_x.png';
							$altRead 	= $this->record->worked ? JText::_( 'WORKED_MESSAGE' ) : JText::_( 'NOTWORKED_MESSAGE' ); 
						?>  
						<?php echo JHTML::_('select.booleanlist', 'worked', null, $this->record->worked);?>
						<img class="jfbc_indicator" src="components/com_jfbchat/images/<?php echo $imgRead;?>" width="16" height="16" border="0" title="<?php echo $altRead; ?>" alt="<?php echo $altRead; ?>" /> 
					
					</td>
				</tr> 
			</tbody>
			</table>
		</fieldset>
	</div>
	<div class="clr"></div>
	
	<div class="col100">
		<fieldset class="adminform">
			<legend><?php echo JText::_( 'Responses' ); ?></legend> 
			<table class="admintable response">
			<tbody>
				<?php if(isset($this->record->responses) && is_array($this->record->responses)): ?>
					<?php foreach($this->record->responses as $responseGiven): ?>
					<tr>
						<td width="20%" class="left_title"> 
							<?php echo $responseGiven[0]; ?>
						</td>
						<td width="80%" class="right_details messageresponse">
							<?php echo $responseGiven[1];?> 
						</td>
					</tr>
					<?php endforeach; ?>
				<?php endif; ?>
				<tr class="nomessage"><td></td></tr>
				<tr class="nomessage">
					<td width="20%" class="key"> 
						<?php echo JText::_( 'EMAIL_SUBJECT' ); ?>: 
					</td>
					<td width="80%">
				 		<input name="email_subject" value=""/>
					</td>
				</tr>
				<tr class="nomessage">
					<td width="20%" class="key"> 
						<?php echo JText::_( 'COMPOSE_RESPONSE' ); ?>: 
					</td>
					<td width="80%"> 
				 		<?php echo $this->editor->display( 'response',  null , '100%', '350', '75', '20', false ) ; ?>
					</td>
				</tr>
			</tbody>
			</table>
		</fieldset>
	</div>
 
	<input type="hidden" name="option" value="<?php echo $this->option;?>" /> 
	<input type="hidden" name="id" value="<?php echo $this->record->id;?>" /> 
	<input type="hidden" name="task" value="" /> 
</form>