<?php 
/** 
 * @package FBCHAT::REALSTATS::administrator::components::com_jfbchat
 * @subpackage views
 * @subpackage serverstats
 * @subpackage tmpl
 * @author 2Punti - Marco Biagioni
 * @copyright (C) 2012 - 2PUNTI SRL
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined ( '_JEXEC' ) or die ( 'Restricted access' );  ?>
 
<form action="index.php" method="post" name="adminForm" id="adminForm"> 
	<div id="filters">
		<?php echo JText::_('FILTER_BY_DATE');?>
		<a href="#"  onclick="return showCalendar('fromperiod', '%Y-%m-%d');"><?php echo JText::_('FILTER_BY_DATE_FROM');?></a>
			<input maxlength="10" size="10" type="text" id="fromperiod" name="fromperiod"  value="<?php echo $this->dates['start'];?>"/> 
		<a href="#"  onclick="return showCalendar('toperiod', '%Y-%m-%d');"><?php echo JText::_('FILTER_BY_DATE_TO');?></a>
			<input maxlength="10" size="10" type="text" id="toperiod" name="toperiod" value="<?php echo $this->dates['to'];?>" /> 
			<button onclick="document.adminForm.task.value='serverstats.display';document.adminForm.submit();"><?php echo JText::_( 'Go' ); ?></button>  
	 </div>
	 
	<div class="statsdatarow left" id="text_details">
		<?php echo $this->loadTemplate('details');?>
	</div>
	
	<div class="statsdatarow right" id="geolocation">
		<?php echo $this->loadTemplate('geolocation');?>
	</div>
	
	<div class="statsdatarow left" id="os">
		<?php echo $this->loadTemplate('os');?>
	</div>
	
	<div class="statsdatarow right" id="browser">
		<?php echo $this->loadTemplate('browser');?>
	</div>
	
	<div class="statsdatarow right" id="landing">
		<?php echo $this->loadTemplate('landing');?>
	</div>
	
	<div class="statsdatarow left" id="leaved">
		<?php echo $this->loadTemplate('leaved');?>
	</div>
		
	<div class="statsdatarow clear" id="pages">
		<?php echo $this->loadTemplate('pages');?>
	</div>
	
	<div class="statsdatarow" id="visitors">
		<?php echo $this->loadTemplate('visitors');?>
	</div>
  
	<input type="hidden" name="option" value="<?php echo $this->option;?>" />
	<input type="hidden" name="boxchecked" value="1"/>
	<input type="hidden" name="task" value="serverstats.display" />   
</form>


 