<?php 
/** 
 * @package FBCHAT::AGENTS::administrator::components::com_jfbchat
 * @subpackage views
 * @subpackage agents
 * @subpackage tmpl
 * @author 2Punti - Marco Biagioni
 * @copyright (C) 2012 - 2PUNTI SRL
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined ( '_JEXEC' ) or die ( 'Restricted access' ); 
JHTML::_('behavior.tooltip'); ?>
 
<form action="index.php" method="post" name="adminForm" id="adminForm">  
	<table class="adminlist table table-striped" cellpadding="1">
		<thead>
			<tr>
				<th width="1%" class="title">
					<?php echo JText::_( 'NUM' ); ?>
				</th>
				<th width="1%" class="title">
					<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($this->items); ?>);" />
				</th>
				<th width="50%"class="title">
					<?php echo JText::_('SUGGESTION'); ?>
				</th>
				<th width="8%" class="title" >
					<?php echo JText::_('AUTOINVITE'); ?>
				</th>  
				<th width="8%" class="title" nowrap="nowrap">
					<?php echo JText::_('PUBLISHED'); ?>
				</th>  
				<th width="1%" class="title">
					<?php echo JText::_( 'ID' ); ?>
				</th>
			</tr>
		</thead>
		<tfoot>
			<tr>
				<td colspan="10">
					<?php echo $this->pagination->getListFooter(); ?>
				</td>
			</tr>
		</tfoot>
		<tbody>
		<?php
			$k = 0;
			for ($i=0, $n=count( $this->items ); $i < $n; $i++) {
				$row 	=& $this->items[$i]; 
				
				// Publish status
				$imgPublished 	= $row->published ? 'icon-16-tick.png' : 'icon-16-publish_x.png'; 
				$altPublished 	= $row->published ? JText::_( 'Published' ) : JText::_( 'Unpublished' );
				$taskPublished 	= $row->published ? 'suggestions.unpublish()' : 'suggestions.publish()';
				
				// Default status
				$imgDefaultInvite 	= $row->autoinvite ? 'icon-16-tick.png' : 'icon-16-publish_x.png';
				$altDefaultInvite 	= $row->autoinvite ? JText::_( 'nodefaultinvite' ) : JText::_( 'defaultinvite' );
				$taskDefaultInvite 	= $row->autoinvite ? 'suggestions.nodefaultinvite()' : 'suggestions.defaultinvite()';
				
				// Accorciamento message text
				$row->suggestion = strlen($row->suggestion) > 80 ? substr($row->suggestion, 0, 80) . '...' : $row->suggestion;
			?>
			<tr class="<?php echo "row$k"; ?>">
				<td align="center">
					<?php if(!JTable::isCheckedOut($this->user->get ('id'), $row->checked_out )):?>
						<a class="clearopen" href="javascript:void(0);" onclick="return listItemTask('cb<?php echo $i;?>','suggestions.editEntity')">
							<?php echo $i+1+$this->pagination->limitstart;?>
						</a>
					<?php else: ?> 
							<?php echo $i+1+$this->pagination->limitstart;?>
					<?php endif;?>
				</td>
				<td align="center">
					<?php echo JHTML::_('grid.id', $i, $row->id ); ?>
				</td> 
				<td>
					<?php echo $row->suggestion; ?>
				</td>   
				<td align="center"> 
					<a href="javascript:void(0);" onclick="return listItemTask('cb<?php echo $i;?>','<?php echo $taskDefaultInvite;?>')">
						<img src="components/com_jfbchat/images/<?php echo $imgDefaultInvite;?>" width="16" height="16" border="0" alt="<?php echo $altDefaultInvite; ?>" />   
					</a>
				</td>
				<td align="center"> 
					<a href="javascript:void(0);" onclick="return listItemTask('cb<?php echo $i;?>','<?php echo $taskPublished;?>')">
						<img src="components/com_jfbchat/images/<?php echo $imgPublished;?>" width="16" height="16" border="0" alt="<?php echo $altPublished; ?>" />   
					</a>
				</td> 
				<td>
					<?php echo $row->id; ?>
				</td>   
			</tr>
			<?php
				$k = 1 - $k;
				}
			?>
		</tbody>
	</table>

	<input type="hidden" name="option" value="<?php echo $this->option;?>" />
	<input type="hidden" name="task" value="suggestions.display" /> 
	<input type="hidden" name="boxchecked" value="0" />
</form>