<?php
//namespace components\com_jfbchat;
/**
 * Receiver/Responder principale delle richieste AJAX 
 * @package FBCHAT::DATA::components::com_jfbchat 
 * @subpackage controllers
 * @author 2Punti - Marco Biagioni
 * @version $Id: receiver.php 68 02/01/2012 21:21:20Z marco $     
 * @copyright (C) 2012 - 2PUNTI SRL
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html  
 */
defined ( '_JEXEC' ) or die ( 'Restricted access' );
// Require model and dependencies
require_once JPATH_COMPONENT . '/models/receiver.php';
require_once JPATH_COMPONENT . '/models/avatar.php';
require_once JPATH_COMPONENT . '/models/garbage.php';
require_once JPATH_COMPONENT . '/models/agents.php';
require_once JPATH_COMPONENT . '/models/realstats.php';
require_once JPATH_COMPONENT . '/models/serverstats.php';
jimport('joomla.database.table.session');

//Instance degli oggetti <<testable>> di cui si effettua Dependency Injection

// Fondamentale valutare il proprio oggetto session anzich user
$userSessionTable = new JTableSession(JFactory::getDBO());
$userSessionTable->load(session_id());
// Gestore agents e assegnamenti
$agentsDirector = new jfbcAgents($userSessionTable);
// Gestore tracking statistiche realtime
$realStats = new jfbcRealstats($userSessionTable);
// Gestore agents e assegnamenti
$serverStats = new jfbcServerstats($userSessionTable);

// Instance and execute dell'application
$app = new jfbcReceiver($userSessionTable, $agentsDirector, $realStats, $serverStats);
$app->appDispatch();
 

 